diff --git a/sys/kern/kern_sig.c b/sys/kern/kern_sig.c
index 4ada0e4..d3a4acd 100644
--- a/sys/kern/kern_sig.c
+++ b/sys/kern/kern_sig.c
@@ -105,7 +105,6 @@ static int	coredump(struct thread *);
 static int	killpg1(struct thread *td, int sig, int pgid, int all,
 		    ksiginfo_t *ksi);
 static int	issignal(struct thread *td);
-static int	sigprop(int sig);
 static void	tdsigwakeup(struct thread *, int, sig_t, int);
 static void	sig_suspend_threads(struct thread *, struct proc *, int);
 static int	filt_sigattach(struct knote *kn);
@@ -607,7 +606,7 @@ sigonstack(size_t sp)
 }
 
 static __inline int
-sigprop(int sig)
+__sigprop(int sig)
 {
 
 	if (sig > 0 && sig < NSIG)
@@ -616,6 +615,13 @@ sigprop(int sig)
 }
 
 int
+sigprop(int sig)
+{
+
+	return (__sigprop(sig));
+}
+
+int
 sig_ffs(sigset_t *set)
 {
 	int i;
@@ -757,7 +763,7 @@ kern_sigaction(td, sig, act, oact, flags)
 		 * have to restart the process.
 		 */
 		if (ps->ps_sigact[_SIG_IDX(sig)] == SIG_IGN ||
-		    (sigprop(sig) & SA_IGNORE &&
+		    (__sigprop(sig) & SA_IGNORE &&
 		     ps->ps_sigact[_SIG_IDX(sig)] == SIG_DFL)) {
 			/* never to be seen again */
 			sigqueue_delete_proc(p, sig);
@@ -925,7 +931,7 @@ siginit(p)
 	ps = p->p_sigacts;
 	mtx_lock(&ps->ps_mtx);
 	for (i = 1; i <= NSIG; i++) {
-		if (sigprop(i) & SA_IGNORE && i != SIGCONT) {
+		if (__sigprop(i) & SA_IGNORE && i != SIGCONT) {
 			SIGADDSET(ps->ps_sigignore, i);
 		}
 	}
@@ -942,7 +948,7 @@ sigdflt(struct sigacts *ps, int sig)
 
 	mtx_assert(&ps->ps_mtx, MA_OWNED);
 	SIGDELSET(ps->ps_sigcatch, sig);
-	if ((sigprop(sig) & SA_IGNORE) != 0 && sig != SIGCONT)
+	if ((__sigprop(sig) & SA_IGNORE) != 0 && sig != SIGCONT)
 		SIGADDSET(ps->ps_sigignore, sig);
 	ps->ps_sigact[_SIG_IDX(sig)] = SIG_DFL;
 	SIGDELSET(ps->ps_siginfo, sig);
@@ -970,7 +976,7 @@ execsigs(struct proc *p)
 	while (SIGNOTEMPTY(ps->ps_sigcatch)) {
 		sig = sig_ffs(&ps->ps_sigcatch);
 		sigdflt(ps, sig);
-		if ((sigprop(sig) & SA_IGNORE) != 0)
+		if ((__sigprop(sig) & SA_IGNORE) != 0)
 			sigqueue_delete_proc(p, sig);
 	}
 	/*
@@ -2100,7 +2106,7 @@ tdsendsignal(struct proc *p, struct thread *td, int sig, ksiginfo_t *ksi)
 
 	ps = p->p_sigacts;
 	KNOTE_LOCKED(&p->p_klist, NOTE_SIGNAL | sig);
-	prop = sigprop(sig);
+	prop = __sigprop(sig);
 
 	if (td == NULL) {
 		td = sigtd(p, sig, prop);
@@ -2365,7 +2371,7 @@ tdsigwakeup(struct thread *td, int sig, sig_t action, int intrval)
 
 	wakeup_swapper = 0;
 	PROC_LOCK_ASSERT(p, MA_OWNED);
-	prop = sigprop(sig);
+	prop = __sigprop(sig);
 
 	PROC_SLOCK(p);
 	thread_lock(td);
@@ -2722,7 +2728,7 @@ issignal(struct thread *td)
 				continue;
 		}
 
-		prop = sigprop(sig);
+		prop = __sigprop(sig);
 
 		/*
 		 * Decide whether the signal should be returned.
@@ -2946,7 +2952,7 @@ sigexit(td, sig)
 	 * XXX If another thread attempts to single-thread before us
 	 *     (e.g. via fork()), we won't get a dump at all.
 	 */
-	if ((sigprop(sig) & SA_CORE) && thread_single(p, SINGLE_NO_EXIT) == 0) {
+	if ((__sigprop(sig) & SA_CORE) && (thread_single(SINGLE_NO_EXIT) == 0)) {
 		p->p_sig = sig;
 		/*
 		 * Log signals which would cause core dumps
diff --git a/sys/sys/signal.h b/sys/sys/signal.h
index 81e06a8..84e20b8 100644
--- a/sys/sys/signal.h
+++ b/sys/sys/signal.h
@@ -420,6 +420,21 @@ struct sigstack {
 #define	sigmask(m)	(1 << ((m)-1))
 #endif
 
+/*
+ * Signal properties and actions.
+ * The array below categorizes the signals and their default actions
+ * according to the following properties:
+ */
+#define	SA_KILL		0x01		/* terminates process by default */
+#define	SA_CORE		0x02		/* ditto and coredumps */
+#define	SA_STOP		0x04		/* suspend process */
+#define	SA_TTYSTOP	0x08		/* ditto, from tty */
+#define	SA_IGNORE	0x10		/* ignore by default */
+#define	SA_CONT		0x20		/* continue if suspended */
+#define	SA_CANTMASK	0x40		/* non-maskable, catchable */
+
+int sigprop(int);
+
 #if __BSD_VISIBLE
 #define	BADSIG		SIG_ERR
 #endif
-- 
1.8.4.2

